IMAGE-TRANS(1)

NAME
image-trans - apply transformations to an image file

SYNOPSIS
image-trans [opts] inputimage outputimage
image-trans [opts] -o outputimage inputimage

DESCRIPTION
This program reads an image file and writes a similar image file to the output. It can implicitly convert from one image file format to another; it uses the extension of the output filename to specify the destination file format.

OPTIONS

-o filename
    Specify the filename to which the resulting image file will be written. If this option is omitted, the last parameter name is taken to be the name of the output file.

-chan channels
    Elevate (or truncate) the image to the indicated number of channels. This may be 1, 2, 3, or 4. You may also specify one of the keywords l, la, rgb, or rgba, respectively, or any of the keywords r, g, b, or a to extract out just the indicated channel as a single grayscale image.

-cscale r,g,b[,a]
    Apply the indicated color scale to each pixel of the image.

-flip
    Flip the image vertically.

-mirror
    Reverse the image horizontally.

-cw Rotate the image 90 degrees clockwise.

-ccw
    Rotate the image 90 degrees counter-clockwise.

-h  Display this help page.